[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [serf-dev] Re: serf 0.7.0 released

From: Justin Erenkrantz <justin_at_erenkrantz.com>
Date: Wed, 25 Aug 2010 16:39:44 -0700

On Wed, Aug 25, 2010 at 4:24 PM, Blair Zajac <blair_at_orcaware.com> wrote:
> On 8/25/10 4:16 PM, Justin Erenkrantz wrote:
>>
>> On Wed, Aug 25, 2010 at 4:01 PM, Peter Samuelson<peter_at_p12n.org>  wrote:
>>>
>>> Yeah but presumably he's asking because he's linking libsvn_ra_serf to
>>> serf 0.3.x now, so the question remains: is 0.7.0 ABI-compatible with
>>> 0.3.x?  As far as I know, 0.3 is ABI-compatible with 0.2 and 0.1.
>>
>> Macports is at 0.6.1.  IOW, it's already busted now.  =(  -- justin
>
> Busted checkouts and operations are better than core dumps :)

Subversion 1.6.12 and serf 0.6.1 from Macports doesn't even do any
type of a checkout - it always errors out immediately.

Backing up, there are three faults:

 - API/ABI compatibility - this was broken way back in 0.4.0 - no
current 1.6.x release of Subversion can work with anything from serf
0.4.0 or higher. You need the proposed backport to Subversion
(1.6.x-r879757) to make 1.6.x work with the serf 0.4.0+ API.

 - Authn framework fix - this is fixed in 0.7.0.

 - Memory usage - this is also fixed in 0.7.0.

1.7.x/trunk of Subversion could work with 0.4.0-0.6.1 - this is what
Stefan and others reported the memory leaks - but Subversion has never
officially released a version that works with serf 0.4.0+.

> Can I get an answer to the question?

I'm not sure there is any API/ABI changes between 0.6.1 and 0.7.0.
Greg? Lieven? -- justin
Received on 2010-08-26 01:40:23 CEST

This is an archived mail posted to the Subversion Dev mailing list.